import 'package:flutter/material.dart';
import 'package:school_management_system/screens/attendance/attendance_screen.dart';
import 'package:school_management_system/screens/calender/calender_screen.dart';
import 'package:school_management_system/screens/finance/finance_screen.dart';
import 'package:school_management_system/screens/home/home_screen.dart';
import 'package:school_management_system/screens/modules/modules_screen.dart';
import 'package:school_management_system/screens/profile/profile_screen.dart';
import 'package:school_management_system/screens/results/results_screen.dart';

class NavigationItems {
  String label;
  Widget icon;
  Widget widget;

  NavigationItems({
    required this.label,
    required this.icon,
    required this.widget,
  });
}

List<NavigationItems> getNavigationItems() {
  List<NavigationItems> navigationItems = [];

  navigationItems.add(NavigationItems(
    label: 'Home',
    icon: const Icon(Icons.home),
    widget: const HomeScreen(),
  ));

  navigationItems.add(NavigationItems(
    label: 'Modules',
    icon: const Icon(Icons.book),
    widget: const ModulesScreen(),
  ));

  navigationItems.add(NavigationItems(
    label: 'Calendar',
    icon: const Icon(Icons.calendar_month),
    widget: const SchoolCalender(),
  ));

  navigationItems.add(NavigationItems(
    label: 'Results',
    icon: const Icon(Icons.school),
    widget: const ResultsScreen(),
  ));

  navigationItems.add(NavigationItems(
    label: 'Profile',
    icon: const Icon(Icons.person),
    widget: const ProfileScreen(),
  ));

  navigationItems.add(NavigationItems(
    label: 'Finance',
    icon: const Icon(Icons.money),
    widget: const FinanceScreen(),
  ));

  navigationItems.add(NavigationItems(
    label: 'Attendance',
    icon: const Icon(Icons.calendar_today_rounded),
    widget: const AttendanceScreen(),
  ));

  return navigationItems;
}
